Udržovaním PHP v najviac vyladenej a podporovanej verzií si viete zefektívniť chod vašej web stránky ako i poskytnúť priestor pre nové funkcie, ktoré v tých predošlých ešte neboli podporované. Staršie verzie PHP 5.5, 5.4, 5.3 a 5.2 sú zastaralé a nie sú podporované ani bezpečnostnými aktualizáciami. Pokiaľ na vašom hostingu využívate zastaralú verziu PHP, odporúčame vám prechod na podporovanú verziu. Môže to však vyžadovať aktualizáciu aj vášho webu/aplikácie

 

1. Postup pre zmenu PHP verzie


  • Prihláste sa do WebAdminu 
  • V sekcii Služby vyhľadajte vašu doménu a kliknite na ňu.
  • Z ľavého menu kliknite na WEB
  • V ľavom menu pokračujte do sekcie PHP nastavenia.
  • Vyberte verziu PHP, ktorú chcete použiť.
  • Celý proces dokončite kliknutím na Uložiť

 

2. PODPOROVANÉ VERZIE PHP


Našim cieľom je prevádzkovať bezpečné a moderné hostingy. Preto prinášame najnovšie verzie PHP krátko po ich oficiálnom publikovaní. Na druhej strane je ale potrebné ukončiť prevádzku aj tých zastaralých. Novšie verzie PHP sú bezpečnejšie, výkonnejšie a moderné redakčné systémy (napr. WordPress) ich tak isto ocenia - niektore ich už aj priam vyžadujú.

V tabulke nižšie nájdete plánované termíny ukončenia podpory jednotlivých verzií PHP. Presné dátumy ukončenia prevádzky na našej strane budú zverejnené s blížiacim sa termínom, zároveň môžu byť v čase zmenené.

  Aktívna podpora Bezpečnostné aktualizácie Plánované ukončenie prevádzky
PHP 5.2 N/A N/A Q2/2019
PHP 5.3 N/A N/A Q2/2019
PHP 5.4 N/A N/A Q2/2019
PHP 5.5 N/A N/A Q1/2019
PHP 5.6 Q1/2017 Q4/2018 Q2/2020
PHP 7.0 Q4/2017 Q4/2018 Q1/2020
PHP 7.1 Q4/2018 Q4/2019 Q4/2020
PHP 7.2 Q4/2019 Q4/2020 Q4/2021

 

Podpora jednotlivých verzií PHP vychádza z oficiálnych informácií dostupných na http://php.net/supported-versions.php